Name:           gebc
Version:        1.07
Release:        3%{?dist}
Summary:        GNU External Ballistic Computer

Group:          Applications/Engineering
License:        GPLv2+
URL:            http://balcomp.sourceforge.net
Source0:        http://downloads.sourceforge.net/balcomp/%{name}-%{version}-src.tar.gz
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  fltk-devel
BuildRequires:  zlib-devel
BuildRequires:  libpng-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libharu-devel
BuildRequires:  desktop-file-utils


%description
A graphical interface for solving exterior ballistics problems, based on
the excellent GNU exterior ballistics library. This software generates valid
3-DOF solutions to small arms trajectories, including wind and atmospheric
corrections.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# remove unwanted files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
%if ! 0%{?fedora} && 0%{?rhel} < 6
    --vendor=fedora \
%endif
    --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Wed Mar 28 2012 Dan Horák <dan[at]danny.cz> 1.07-3
- rebuilt for fltk 1.3

* Sun Sep 26 2010 Dan Horák <dan[at]danny.cz> 1.07-2
- fix BuildRequires

* Sun Sep 26 2010 Dan Horák <dan[at]danny.cz> 1.07-1
- initial Fedora version
